"peertube",
"embed"
],
+ "main": "./player.ts",
"author": "Chocobozzz",
"license": "AGPL-3.0",
"bugs": {
"e2e": "scripty",
"e2e:local": "scripty",
"setup:cli": "scripty",
- "build": "SCRIPTY_PARALLEL=true scripty",
+ "build": "scripty",
+ "build:embed": "scripty",
"build:server": "scripty",
"build:client": "scripty",
"clean:client": "scripty",
"clean:server": "scripty",
"clean:server:test": "scripty",
- "watch:client": "scripty",
- "watch:server": "scripty",
"danger:clean:dev": "scripty",
"danger:clean:prod": "scripty",
"danger:clean:modules": "scripty",
"play": "scripty",
"dev": "scripty",
"dev:server": "scripty",
+ "dev:embed": "scripty",
"dev:client": "scripty",
"dev:cli": "scripty",
+ "dev:embed": "scripty",
"start": "node dist/server",
"start:server": "node dist/server --no-client",
"update-host": "node ./dist/scripts/update-host.js",
done
fi
-NODE_ENV=production npm run webpack -- --config webpack/webpack.video-embed.js --mode production --json > "./dist/embed-stats.json"
+npm run build:embed
# Copy runtime locales
cp -r "./src/locale" "./dist/locale"
--- /dev/null
+#!/bin/sh
+
+set -eu
+
+NODE_ENV=production npm run webpack -- --config webpack/webpack.video-embed.js --mode production --json > "./dist/embed-stats.json"
--- /dev/null
+#!/bin/sh
+
+set -eu
+
+npm run concurrently -- -k \
+ "npm run build:client" \
+ "npm run build:server"
set -eu
NODE_ENV=test npm run concurrently -- -k \
- "npm run watch:client" \
+ "cd client && npm run ng -- serve --proxy-config proxy.config.json --hmr --configuration hmr --host 0.0.0.0 --disable-host-check --port 3000" \
"npm run build:server && NODE_ENV=test npm start"
--- /dev/null
+#!/bin/sh
+
+set -eu
+
+NODE_ENV=test npm run concurrently -- -k \
+ "cd client && npm run webpack -- --config webpack/webpack.video-embed.js --mode development --watch" \
+ "npm run build:server && NODE_ENV=test npm start"
npm run build:client -- --light
fi
-npm run watch:server
+# Copy locales
+mkdir -p "./client/dist"
+rm -rf "./client/dist/locale"
+cp -r "./client/src/locale" "./client/dist/locale"
+
+rm -rf "./dist"
+
+mkdir "./dist"
+cp "./tsconfig.json" "./dist"
+
+npm run tsc -- --incremental --sourceMap
+cp -r ./server/static ./server/assets ./dist/server
+
+NODE_ENV=test npm run concurrently -- -k \
+ "npm run nodemon -- --delay 1 --watch ./dist dist/server" \
+ "npm run tsc -- --incremental --sourceMap --preserveWatchOutput -w"
+++ /dev/null
-#!/bin/sh
-
-set -eu
-
-cd client
-
-npm run ng -- serve --proxy-config proxy.config.json --hmr --configuration hmr --host 0.0.0.0 --disable-host-check --port 3000
+++ /dev/null
-#!/bin/sh
-
-set -eu
-
-# Copy locales
-mkdir -p "./client/dist"
-rm -rf "./client/dist/locale"
-cp -r "./client/src/locale" "./client/dist/locale"
-
-rm -rf "./dist"
-
-mkdir "./dist"
-cp "./tsconfig.json" "./dist"
-
-npm run tsc -- --incremental --sourceMap
-cp -r ./server/static ./server/assets ./dist/server
-
-NODE_ENV=test npm run concurrently -- -k \
- "npm run nodemon -- --delay 1 --watch ./dist dist/server" \
- "npm run tsc -- --incremental --sourceMap --preserveWatchOutput -w"